Bug 2147356 (CVE-2022-42895) - CVE-2022-42895 kernel: Information leak in l2cap_parse_conf_req in net/bluetooth/l2cap_core.c
Summary: CVE-2022-42895 kernel: Information leak in l2cap_parse_conf_req in net/blueto...
Keywords:
Status: NEW
Alias: CVE-2022-42895
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody
QA Contact:
URL:
Whiteboard:
Depends On: 2147358 2148406 2148407 2148408 2148409
Blocks: 2142956
TreeView+ depends on / blocked
 
Reported: 2022-11-23 19:19 UTC by Pedro Sampaio
Modified: 2023-12-07 15:37 UTC (History)
34 users (show)

Fixed In Version: kernel 6.1-rc4
Doc Type: If docs needed, set a value
Doc Text:
An information leak vulnerability was found in the Linux kernel's implementation of logical link control and adaptation protocol (L2CAP), part of the Bluetooth stack in the l2cap_parse_conf_req function. An attacker with physical access within the range of standard Bluetooth transmission could use this flaw to leak kernel pointers via Bluetooth if within proximity of the victim.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2023:6835 0 None None None 2023-11-09 07:10:40 UTC
Red Hat Product Errata RHBA-2023:7268 0 None None None 2023-11-15 18:25:09 UTC
Red Hat Product Errata RHBA-2023:7328 0 None None None 2023-11-16 11:38:41 UTC
Red Hat Product Errata RHBA-2023:7338 0 None None None 2023-11-16 18:04:00 UTC
Red Hat Product Errata RHBA-2023:7343 0 None None None 2023-11-20 01:58:22 UTC
Red Hat Product Errata RHBA-2023:7346 0 None None None 2023-11-20 09:25:29 UTC
Red Hat Product Errata RHSA-2023:6583 0 None None None 2023-11-07 08:20:01 UTC
Red Hat Product Errata RHSA-2023:6901 0 None None None 2023-11-14 15:14:41 UTC
Red Hat Product Errata RHSA-2023:7077 0 None None None 2023-11-14 15:20:20 UTC

Description Pedro Sampaio 2022-11-23 19:19:36 UTC
There is an infoleak vulnerability in the Linux kernel's net/bluetooth/l2cap_core.c's l2cap_parse_conf_req function which can be used to leak kernel pointers remotely.

References:

https://kernel.dance/#b1a2cd50c0357f243b7435a732b4e62ba3157a2e
https://github.com/torvalds/linux/commit/b1a2cd50c0357f243b7435a732b4e62ba3157a2e

Comment 1 Pedro Sampaio 2022-11-23 19:20:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2147358]

Comment 5 Justin M. Forbes 2022-11-30 20:24:40 UTC
This was fixed for Fedora with the 6.0.8 stable kernel updates.

Comment 12 errata-xmlrpc 2023-11-07 08:19:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6583 https://access.redhat.com/errata/RHSA-2023:6583

Comment 13 errata-xmlrpc 2023-11-14 15:14:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:6901 https://access.redhat.com/errata/RHSA-2023:6901

Comment 14 errata-xmlrpc 2023-11-14 15:20:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:7077 https://access.redhat.com/errata/RHSA-2023:7077


Note You need to log in before you can comment on or make changes to this bug.